/*
 *   This file was automatically generated by version 1.7 of cextract.
 *   Manual editing not recommended.

 */
#ifndef __CEXTRACT__

extern int p3d_graph_search (void *graph, double (*fct_heurist)(void *, void *), int (*fct_valid)(void *, void *, void *), int (*fct_end)(void *, void *), int graphType);

extern int p3d_OrderingGraphSearch(void *graph, double (*fct_heurist)(void *, void *), int (*fct_valid)(void *, void *, void *), int (*fct_end)(void *, void *), int graphType);

extern int p3d_graph_many_search(void *graph, double (*fct_heurist)(void *, void *),
                          int (*fct_valid)(void *, void *, void *),int (*fct_end)(void *, void *), void* traj, int graphType);
#endif /* __CEXTRACT__ */
